# Method: genericobject.get

- [HTTP request](https://developers.google.com/wallet/reference/rest/v1/genericobject/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/wallet/reference/rest/v1/genericobject/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/wallet/reference/rest/v1/genericobject/get#body.request_body)
- [Response body](https://developers.google.com/wallet/reference/rest/v1/genericobject/get#body.response_body)
- [Authorization scopes](https://developers.google.com/wallet/reference/rest/v1/genericobject/get#body.aspect)

Returns the generic object with the given object ID.

### HTTP request

`GET https://walletobjects.googleapis.com/walletobjects/v1/genericObject/{resourceId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `resourceId` | `string` The unique identifier for an object. This ID must be unique across all objects from an issuer. This value needs to follow the format `issuerID.identifier` where `issuerID` is issued by Google and `identifier` is chosen by you. The unique identifier can only include alphanumeric characters, `.`, `_`, or `-`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/wallet/reference/rest/v1/genericobject#GenericObject`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/wallet_object.issuer`